=== debian/watch ===
version=3
http://www.ece.uvic.ca/~mdadams/jasper/ .*jasper-(.*).zip
