## jasper 1.900.1-7maemo1

=== debian/changelog ===
jasper (1.900.1-7maemo1) unstable; urgency=low

  * Remove GLUT dependency for Maemo 5 (don't build jiv anymore).

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 19 Mar 2010 12:18:54 +0100
