=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: jasper
 Priority: optional
 Section: graphics
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 8.1.3~), freeglut3-dev, libjpeg8-dev, libxi-dev, libxmu-dev, libxt-dev, autotools-dev, dh-autoreconf
-Standards-Version: 3.9.2
+Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
+XBSC-Original-Maintainer: Roland Stigge <stigge@antcom.de>
+Build-Depends: debhelper (>= 5), libjpeg62-dev, libxi-dev, libxmu-dev, libxt-dev
+Standards-Version: 3.8.4
 
 Package: libjasper1
 Section: libs
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libjasper-1.700-2
 Replaces: libjasper-1.700-2
 Suggests: libjasper-runtime
-Description: JasPer JPEG-2000 runtime library
+Description: The JasPer JPEG-2000 runtime library
  JasPer is a collection of software (i.e., a library and application programs)
  for the coding and manipulation of images.  This software can handle image
  data in a variety of formats.  One such format supported by JasPer is the
