## jasper 1.900.1-7maemo2

=== debian/changelog ===
jasper (1.900.1-7maemo2) unstable; urgency=low

  * Optify.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sat, 20 Mar 2010 11:08:01 +0100
