## jasper 4.2.8

=== debian/changelog ===
jasper (4.2.8-0ubuntu26.04.0+0~test) resolute; urgency=high

  * Switch to reborn upstream version.
  * Use simplified rules to check builds in the source directory.
    This allows building in a subdirectory as is standard on Debian.
    This makes it possible to lower the required version of CMake to 3.12.

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 26 Nov 2025 03:29:38 +0100

jasper (1.900.1-debian1-2.5ubuntu24.04.0+9~b) noble; urgency=high

  * Fix FTBFS with gcc14

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Sat, 14 Sep 2024 18:46:00 +0900

jasper (1.900.1-debian1-2.5ubuntu24.04.0+8~b) noble; urgency=high

  * Remove register instruction.

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Apr 2024 00:17:47 +0200

jasper (1.900.1-debian1-2.5ubuntu24.04.0+7~b) noble; urgency=high

  * Add missing function prototype.

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Apr 2024 16:31:25 +0200

jasper (1.900.1-debian1-2.5debian11.0.0+6~a) bullseye; urgency=high

  * As temporary workaround for #812630
    package was added to Trinity repository

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 15 Jul 2019 16:22:20 +0200

jasper (1.900.1-debian1-2.4+deb8u6) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Improve CVE-2018-19542.patch: The original fix introduced a regression which
    could break support for valid jp2 files.

 -- Markus Koschany <apo@debian.org>  Sat, 13 Apr 2019 20:36:54 +0200

jasper (1.900.1-debian1-2.4+deb8u5) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2018-18873, CVE-2018-19139, CVE-2018-19539, CVE-2018-19540,
    CVE-2018-19541, CVE-2018-19542, CVE-2018-20570, CVE-2018-20584 and
    CVE-2018-20622.
  * Multiple issues were found in the JasPer JPEG-2000 library that could lead
    to a denial-of-service (application crash), memory leaks and potentially
    the execution of arbitrary code if a malformed image file is processed.

 -- Markus Koschany <apo@debian.org>  Wed, 02 Jan 2019 22:59:23 +0100

jasper (1.900.1-debian1-2.4+deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2015-5203:
    Gustavo Grieco discovered an integer overflow vulnerability that allows
    remote attackers to cause a denial of service or may have other unspecified
    impact via a crafted JPEG 2000 image file.
  * Fix CVE-2015-5221:
    Josselin Feist found a double-free vulnerability that allows remote
    attackers to cause a denial-of-service (application crash) by processing a
    malformed image file.
  * Fix CVE-2016-8690:
    Gustavo Grieco discovered a NULL pointer dereference vulnerability that can
    cause a denial-of-service via a crafted BMP image file. The update also
    includes the fixes for the related issues CVE-2016-8884 and CVE-2016-8885
    which complete the patch for CVE-2016-8690.
  * Fix CVE-2017-13748:
    It was discovered that jasper does not properly release memory used to
    store image tile data when image decoding fails which may lead to a
    denial-of-service.
  * Fix CVE-2017-14132:
    A heap-based buffer over-read was found related to the jas_image_ishomosamp
    function that could be triggered via a crafted image file and may cause a
    denial-of-service (application crash) or have other unspecified impact.

 -- Markus Koschany <apo@debian.org>  Fri, 16 Nov 2018 18:44:08 +0100

jasper (1.900.1-debian1-2.4+deb8u3) jessie-security; urgency=medium

  * CVE-2016-9591 CVE-2016-10249 CVE-2016-10251

 -- Moritz Mühlenhoff <jmm@debian.org>  Sun, 02 Apr 2017 19:59:44 +0200

jasper (1.900.1-debian1-2.4+deb8u2) jessie-security; urgency=medium

  * CVE-2016-1867 CVE-2016-8654 CVE-2016-8691 CVE-2016-8692
    CVE-2016-8693 CVE-2016-8882 CVE-2016-9560

 -- Moritz Mühlenhoff <jmm@debian.org>  Tue, 07 Feb 2017 22:49:13 +0100

jasper (1.900.1-debian1-2.4+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2016-1577: Prevent double-free in jas_iccattrval_destroy()
    (Closes: #816625)
  * CVE-2016-2089: matrix rows_ NULL pointer dereference in jas_matrix_clip()
    (Closes: #812978)
  * CVE-2016-2116: Prevent jas_stream_t memory leak in
    jas_iccprof_createfrombuf() (Closes: #816626)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 06 Mar 2016 14:49:44 +0100
