=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
 Source: jasper
 Priority: optional
-Section: graphics
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 9), freeglut3-dev, libjpeg-dev, libxi-dev, libxmu-dev, libxt-dev, dh-autoreconf
+Section: deps-r14/graphics
+Maintainer: Roland Stigge <stigge@antcom.de>
+Build-Depends: debhelper (>= 10~), cmake (>= 3.12~), ninja-build, quilt, freeglut3-dev, libjpeg-dev, libxi-dev, libxmu-dev, libxt-dev
 Standards-Version: 3.9.5
 
-Package: libjasper1
-Section: libs
+Package: libjasper7
+Section: deps-r14/libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libjasper-1.700-2
-Replaces: libjasper-1.700-2
 Suggests: libjasper-runtime
 Description: JasPer JPEG-2000 runtime library
  JasPer is a collection of software (i.e., a library and application programs)
@@ -24,9 +21,9 @@
  This package contains the shared library. 
 
 Package: libjasper-dev
-Section: libdevel
+Section: deps-r14/libdevel
 Architecture: any
-Depends: libjasper1 (= ${binary:Version}), ${misc:Depends}
+Depends: libjasper7 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libjasper-1.700-2-dev
 Replaces: libjasper-1.700-2-dev
 Description: Development files for the JasPer JPEG-2000 library
@@ -38,7 +35,7 @@
  This package contains the static library and headers.
 
 Package: libjasper-runtime
-Section: graphics
+Section: deps-r14/graphics
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libjasper-progs
